Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Event_Map_Entry_T Class Template Reference

The entry stored in the event map. More...

`#include <Event_Map_Entry_T.h>`

Inheritance diagram for TAO_NS_Event_Map_Entry_T:

[legend]
Collaboration diagram for TAO_NS_Event_Map_Entry_T:

[legend]
List of all members.

## Public Types
typedef TAO_ESF_Proxy_Collection< PROXY > | COLLECTION
## Public Methods
| TAO_NS_Event_Map_Entry_T (void)
| Constructor. More...
| ~TAO_NS_Event_Map_Entry_T (void)
| Destructor. More...
void | init (ACE_ENV_SINGLE_ARG_DECL)
| Init - Allocates collection. More...
void | connected (PROXY *proxy ACE_ENV_ARG_DECL)
| Connect. More...
void | disconnected (PROXY *proxy ACE_ENV_ARG_DECL)
| Disconnect. More...
COLLECTION * | collection (void)
| Collection accessor. More...
int | count (void)
| Count accessor. More...
## Protected Attributes
COLLECTION * | collection_
| The Collection. More...
int | count_
| Count of PROXY's connected in the collection;. More...

## Detailed Description

### template<class PROXY>
class TAO_NS_Event_Map_Entry_T< PROXY >

The entry stored in the event map.

## Member Typedef Documentation

template<class PROXY>
typedef TAO_ESF_Proxy_Collection<PROXY> TAO_NS_Event_Map_Entry_T::COLLECTION

## Constructor & Destructor Documentation

template<class PROXY>
TAO_NS_Event_Map_Entry_T< PROXY >::TAO_NS_Event_Map_Entry_T | ( | void |  | ) |

| Constructor.

template<class PROXY>
TAO_NS_Event_Map_Entry_T< PROXY >::~TAO_NS_Event_Map_Entry_T | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class PROXY>
COLLECTION* TAO_NS_Event_Map_Entry_T< PROXY >::collection | ( | void |  | ) |

| Collection accessor.

template<class PROXY>
void TAO_NS_Event_Map_Entry_T< PROXY >::connected | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) |

| Connect.

template<class PROXY>
int TAO_NS_Event_Map_Entry_T< PROXY >::count | ( | void |  | ) |

| Count accessor.

template<class PROXY>
void TAO_NS_Event_Map_Entry_T< PROXY >::disconnected | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) |

| Disconnect.

template<class PROXY>
void TAO_NS_Event_Map_Entry_T< PROXY >::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Init - Allocates collection.

## Member Data Documentation

template<class PROXY>
COLLECTION* TAO_NS_Event_Map_Entry_T::collection_`[protected]`

| The Collection.

template<class PROXY>
int TAO_NS_Event_Map_Entry_T::count_`[protected]`

| Count of PROXY's connected in the collection;.

The documentation for this class was generated from the following files:

- Event_Map_Entry_T.h
- Event_Map_Entry_T.cpp